<script setup lang="ts">
import { useReceiptStore } from '@/Receipt/stores/receipt'
import { computed } from 'vue'
const receiptStore = useReceiptStore()

const header = ['No', 'Name', 'Price', 'Unit', 'Total', 'Action']

const props = defineProps({
  tableHeight: Number
})

const reversedReceiptItems = computed(() => [...receiptStore.receiptItems].reverse())
</script>
<template>
  <v-table class="custom-table" fixed-header :height="props.tableHeight">
    <!--  height="250px"-->
    <thead>
      <tr>
        <th class="bg-brown" v-for="h in header" :key="h">{{ h }}</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(item, index) of reversedReceiptItems" :key="item.id" class="custom-row">
        <td>{{ reversedReceiptItems.length - index }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>
          <v-icon icon="mdi-minus" density="compact" @click="receiptStore.dec(item)"></v-icon>
          {{ item.unit }}
          <v-icon icon="mdi-plus" density="compact" @click="receiptStore.inc(item)"></v-icon>
        </td>
        <td>{{ item.price * item.unit }}</td>
        <td>
          <v-icon
            icon="mdi-trash-can-outline"
            @click="receiptStore.removeReceiptItem(item)"
          ></v-icon>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>
<style scoped>
.custom-table {
  background-color: #f2f2f257;
}

.custom-head {
  background-color: #ffc26f;
  color: #000000;
}

.custom-row {
  color: #ffffff;
  background-color: #140c00d0;
}
</style>
